package com.brilliance.isc.bo.remit;

import com.brilliance.isc.bo.Stb;
import com.brilliance.isc.bo.model.Bopgat;
import com.brilliance.isc.bo.model.Cpdgrp;
import com.brilliance.isc.bo.model.Cptp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.vo.CipmodVo;
import com.brilliance.isc.vo.HvpmodVo;
import com.brilliance.isc.vo.model.AttpVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CptadvAutoStoreBo extends BaseTransactionVo {
    private Cpdgrp cpdgrp;
    private CipmodVo cipmod;
    private HvpmodVo hvpmod;
    //收支申报模型
    private Bopgat bopgat;
    //与前端模型保持一致
    private SwiaddVo swiadd;
    private Cptp cptp;
    private AttpVo attp;
    //企业名录
    //private EntmodVo entmod;
    //当前柜面所在机构信息
    private PtsptaVo ownpts;
    //业务种类列表
    private List<Stb> bustypList;
    @Override
    public void reset() {
        super.reset();
        if (cpdgrp == null) {
            cpdgrp = new Cpdgrp();
        }
        cpdgrp.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (cptp == null) {
            cptp = new Cptp();
        }
        cptp.reset();
        if (attp == null) {
            attp = new AttpVo();
        }
        if (cipmod == null) {
            cipmod = new CipmodVo();
        }
        if (hvpmod == null) {
            hvpmod = new HvpmodVo();
        }
        if(bustypList == null){
            bustypList =  new ArrayList<>();
        }
    }
}
